Rygel.DescriptionFile – librygel-core Reference Manual

# DescriptionFile

## Object Hierarchy:

## Description:

public class DescriptionFile : `Object`

Represents a device description document and offers methods for easy manipulation of those.

Namespace: Rygel
Package: librygel-core

## Content:

### Creation methods:

- public DescriptionFile (`string` template_file) throws `Error`
  Constructor to load a description file from disk
- public DescriptionFile.from_xml_document (`XMLDoc` doc)
  Constructor which wraps an existing GUPnP.XMLDoc as a description file.

### Methods:

- public void set_device_type (`string` device_type)
  Change the type of a service.
- public void set_model_name (`string` model_name)
  Modify the model name.
- public void set_model_number (`string` model_number)
  Modify the model number.
- public void set_friendly_name (`string` friendly_name)
  Set the friendly name of the device.
- public `string` get_friendly_name ()
  Get the current friendly name of the device.
- public void set_dlna_caps (PluginCapabilities capabilities)
  Set the DLNA caps of this root device and while taking the capabilities of the plugin into account.
- public void modify_service_type (`string` old_type, `string` new_type)
  Change the type of a service.
- public void save (`string` path) throws `Error`
  Writes the current document to a file.

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count